Bug 168162 - updateDB in daily cron uses all memory
updateDB in daily cron uses all memory
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-12 22:02 EDT by Richard Tresidder
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 01:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Tresidder 2005-09-12 22:02:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
This is related to Bug 150945 – extreme slab memory use
It seems that whatever the fix was for that bug has crept back into the
kernel 2.6.12-1.1372_FC3smp
While running say updatedb. Or anything that scans the filesystem.
The ext3_inode_cache goes up to 100% usage and does not reduce.
This means that on a 1Gig system all of the actual ram is consumed for the task.
The SLAB info does not get reported in say top.
ie total available - usermem - buffers - cache != free
So it appears that there is a memory leak.
The huge SLAB usage for the inode cache, in this case just under 400MB does not get reported anywhere but slab info.
Also I find that at this point the swap tends to get used. There is no way the swap should be getting touched at that point.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run updatedb
2. used mem goes up to all available ram
3. does not come back down
  

Additional info:
Comment 1 Dave Jones 2005-09-14 01:45:41 EDT
We don't have any VM changes that diverge from mainline, so this is better
reported upstream if you truly believe it's leaking.

http://bugme.osdl.org is the upstream kernel bugzilla.

Thanks.
Comment 2 Rahul Sundaram 2005-09-14 03:34:51 EDT

Dave Jones,

Kernel bugzilla is now in http://bugzilla.kernel.org
Comment 3 Dave Jones 2005-09-14 03:37:15 EDT
they actually both point to the same site.

Note You need to log in before you can comment on or make changes to this bug.